org.apache.fop.render

## Class AbstractRendererConfigurator

- java.lang.Object
- - org.apache.fop.render.AbstractRendererConfigurator

- Direct Known Subclasses:
    PrintRendererConfigurator, XMLHandlerConfigurator

      public abstract class AbstractRendererConfigurator
      extends java.lang.Object

  Abstract base classes for renderer-related configurator classes. This class basically just provides an accessor to the specific renderer configuration object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FOUserAgent` | `userAgent` fop factory configuration

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRendererConfigurator(FOUserAgent userAgent)` Default constructor

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getType()` Returns the configurator type

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userAgent

          protected final FOUserAgent userAgent

      fop factory configuration

  - ### Constructor Detail

    - #### AbstractRendererConfigurator

          public AbstractRendererConfigurator(FOUserAgent userAgent)

      Default constructor
      Parameters:
        `userAgent` - user agent

  - ### Method Detail

    - #### getType

          public static java.lang.String getType()

      Returns the configurator type
      Returns:
        the configurator type

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.